Subject: re:"Re: FVWM: Memory usage"

From: "eli (e.) burke" <[email-masked]>
Date: Fri, 19 Apr 1996 13:07:00 -0400

>  USER       PID %CPU %MEM   SZ  RSS    TTY STAT    STIME  TIME COMMAND
>  hines    43806  0.2  1.0  596  860  hft/1 S      Apr 15 14:06 fvwm2 -version
>                            ^^^  ^^^
>  hines    44000  3.7  1.0  424  656  hft/1 S    11:09:55  0:01 fvwm -version
>                            ^^^  ^^^
>  hines    44011 12.0  1.0  520  784  hft/1 S    11:10:48  0:03 fvwm2 -version
>                            ^^^  ^^^
[snip]
>  I should probably run the tests again and update this table, but the
>  results haven't changed that much most likely.  I would like to throw
>  a few more entries in there.

	Just a minor beef, but remember; since the pager has been ripped out
of the fvwm2 executable (at least I think it was.. :) you can COUNT on a
FvwmPager process, and most likely a FvwmButtons process as well.

	Also, I found a small buglet. The fvwm2 man page says that the
UseStyle directive takes a style arguement in quotes, ala:
Style "Invis"	NoTitle,Sticky,WindowListSkip
Style "Fvwm*"	UseStyle "Invis"

However, that doesn't work. You must do:
Style "Fvwm*"	UseStyle Invis

-Eli
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Greg Veres)
Date: Fri, 19 Apr 1996 15:12:18 -0400

> FvwmPager process, and most likely a FvwmButtons process as well.

Yes. I had noticed this too when I first switched to version 2. I have
noticed that these modules are not trivial in size. How much code is shared
between the modules and fvwm? Hmmm, I haven't looked but is fvwm.lib
staticly linked or dynamically linked?

-Greg

---------------------------------------------------------------------
Greg Veres ([email-masked])      | You got your whole life to
Alias|Wavefront, Rendering Team     | do something and that's not
http://www.cgl.uwaterloo.ca/~gveres | very long.  - Ani Difranco
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Brady Montz <[email-masked]>
Date: Fri, 19 Apr 1996 13:05:19 -0700 (MST)

> staticly linked or dynamically linked?

fvwmlib is by default statically linked. I don't know how to tell imake to
make it shared, so I ust edit the makefile in the lib directory by hand to
make it dynamic. libfvwm2.so is only 13K though on my machine, so it doesn't
make too much difference. I have 3 modules running at any given time plus fvwm
so that makes for 39K of wastage if I had it static.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Fri, 19 Apr 1996 16:43:22 -0400

>>>>> "Eli" == e  <eli> writes:

Eli>    Just a minor beef, but remember; since the pager has been ripped out
Eli> of the fvwm2 executable (at least I think it was.. :) you can COUNT on a
Eli> FvwmPager process, and most likely a FvwmButtons process as well.

Actually, FvwmPager was a module for 1.xx as well (later in it's life)
as well as an internal function (which could be compiled out if you
only wanted to use the module).  That particular fvwm 1.xx did have
the

But, yes, I wasn't counting modules, because that's the purpose of
modules.  Not everyone will use them and all of the NECESSARY wm
functions are in fvwm itself.  I myself only use the pager module.

If people are that strapped for memory, they don't have to run any
modules at all and still be able to get quite a lot of functionality
from fvwm itself.

>>>>> "Greg" == Greg Veres <[email-masked]> writes:

Greg> Yes. I had noticed this too when I first switched to version
Greg> 2. I have noticed that these modules are not trivial in
Greg> size. How much code is shared between the modules and fvwm?
Greg> Hmmm, I haven't looked but is fvwm.lib staticly linked or
Greg> dynamically linked?

Curently static (as Brady notes below).

>>>>> "Brady" == Brady Montz <[email-masked]> writes:

Brady> fvwmlib is by default statically linked. I don't know how to
Brady> tell imake to make it shared, so I ust edit the makefile in the
Brady> lib directory by hand to make it dynamic. libfvwm2.so is only
Brady> 13K though on my machine, so it doesn't make too much
Brady> difference. I have 3 modules running at any given time plus
Brady> fvwm so that makes for 39K of wastage if I had it static.

I believe that setting up Imake to compile shared is relatively
trivial, but as you noted, it won't currently buy much.  What could be
done is perhaps make a second lib with all of the common module
specific functions and make both of these shared.  Then perhaps a
greater benefit could be achieved.  But I don't know yet.

Fear not though, as minimizing memory usage is (as you all should know
by now) one of my big concerns.  I will investigate this, and anything
else that can potentially lower memory consumption, as I can to see
what else can be done.

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

IBM Internal email:                        "Go back to sleep, Chuck.  You're
  [email-masked],              just havin' a nightmare--of course,
  HINESC at FISHKILL, HINESC at FSHVMFK1    we are still in Hell." Gary Larson
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].